GLFW

- Documentation
- Download
- Community

Loading...
Searching...
No Matches
Functions
glfw3native.h File Reference

## Description

This is the header file of the native access functions. See Native access for more information.

Go to the source code of this file.

## Functions
const char * | glfwGetWin32Adapter (GLFWmonitor *monitor)
| Returns the adapter device name of the specified monitor.
const char * | glfwGetWin32Monitor (GLFWmonitor *monitor)
| Returns the display device name of the specified monitor.
HWND | glfwGetWin32Window (GLFWwindow *window)
| Returns the `HWND` of the specified window.
HGLRC | glfwGetWGLContext (GLFWwindow *window)
| Returns the `HGLRC` of the specified window.
CGDirectDisplayID | glfwGetCocoaMonitor (GLFWmonitor *monitor)
| Returns the `CGDirectDisplayID` of the specified monitor.
id | glfwGetCocoaWindow (GLFWwindow *window)
| Returns the `NSWindow` of the specified window.
id | glfwGetNSGLContext (GLFWwindow *window)
| Returns the `NSOpenGLContext` of the specified window.
Display * | glfwGetX11Display (void)
| Returns the `Display` used by GLFW.
RRCrtc | glfwGetX11Adapter (GLFWmonitor *monitor)
| Returns the `RRCrtc` of the specified monitor.
RROutput | glfwGetX11Monitor (GLFWmonitor *monitor)
| Returns the `RROutput` of the specified monitor.
Window | glfwGetX11Window (GLFWwindow *window)
| Returns the `Window` of the specified window.
void | glfwSetX11SelectionString (const char *string)
| Sets the current primary selection to the specified string.
const char * | glfwGetX11SelectionString (void)
| Returns the contents of the current primary selection as a string.
GLXContext | glfwGetGLXContext (GLFWwindow *window)
| Returns the `GLXContext` of the specified window.
GLXWindow | glfwGetGLXWindow (GLFWwindow *window)
| Returns the `GLXWindow` of the specified window.
struct wl_display * | glfwGetWaylandDisplay (void)
| Returns the `struct wl_display*` used by GLFW.
struct wl_output * | glfwGetWaylandMonitor (GLFWmonitor *monitor)
| Returns the `struct wl_output*` of the specified monitor.
struct wl_surface * | glfwGetWaylandWindow (GLFWwindow *window)
| Returns the main `struct wl_surface*` of the specified window.
EGLDisplay | glfwGetEGLDisplay (void)
| Returns the `EGLDisplay` used by GLFW.
EGLContext | glfwGetEGLContext (GLFWwindow *window)
| Returns the `EGLContext` of the specified window.
EGLSurface | glfwGetEGLSurface (GLFWwindow *window)
| Returns the `EGLSurface` of the specified window.
int | glfwGetOSMesaColorBuffer (GLFWwindow *window, int *width, int *height, int *format, void **buffer)
| Retrieves the color buffer associated with the specified window.
int | glfwGetOSMesaDepthBuffer (GLFWwindow *window, int *width, int *height, int *bytesPerValue, void **buffer)
| Retrieves the depth buffer associated with the specified window.
OSMesaContext | glfwGetOSMesaContext (GLFWwindow *window)
| Returns the `OSMesaContext` of the specified window.